<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
Use DB;
use App\patient;
use Carbon\Carbon;
use App\smslog;

class CronController extends Controller
{
    
    public function sendSms($mobileNo){
        $authKey = "78106AwDayfhp5fffd846P1";
        $generator = "1357902468";
        $senderId="MEDOSE";
        foreach($mobileNo as $key => $value) {
            $name = DB::table('patients')->select('name')->where('phone', $value)->first();
            $DLT_TE_ID ="1207162824213964069";
            $route = 4;
            $result = ""; 
            $message = urlencode("Hi ".ucwords($name->name).", It's time for you to take your medicine.\n\nThanks\nDose Reminder");

            $postData = array(
                'authkey' => $authKey,
                'mobiles' =>$value,
                'message' => $message,
                'sender' => $senderId,
                'DLT_TE_ID'=>$DLT_TE_ID,
                'route' => $route
            );

            $url="http://api.msg91.com/api/sendhttp.php";

            $ch = curl_init();
            curl_setopt_array($ch, array(
                CURLOPT_URL => $url,
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_POST => true,
                CURLOPT_POSTFIELDS => $postData
            ));

            $response = curl_exec($ch);
        
            $err = curl_error($ch);
                curl_close($ch);
                if ($err) {
                    return "cURL Error #:" . $err;
                    
                } else {
                    // smslog::where('created_at', '<', Carbon::now()->subDays(15))->delete();
                    // foreach($mobileNo as $mobile){
                        //DB::select('CALL smsLog("'. $mobile .'","'. 1 .'","'.Carbon::now()->toDateTimeString().'","'.Carbon::now()->toDateTimeString().'")');
                    
                        DB::table('smslogs')->insert(['phone' => $value, 'isconfirmed' => 1, 'created_at' => Carbon::now()->toDateTimeString(), 'updated_at' => Carbon::now()->toDateTimeString()]);
                    // }
                }
        }
    }

    public function sendReminderAfternoon(Request $req) {
        
        $cronkey = $req->cronkey;
        $env_cron_key = env("CRON_KEY", "");
        if($cronkey != $env_cron_key){
            return response()->json(['error' => 'Request unauthorized'], 401);
        }
        
        $users = DB::select("SELECT `phone` FROM `patients` WHERE `subscribed`=1 AND `start_date`<=CURRENT_DATE() AND `end_date`>= CURRENT_DATE() AND `afternoon` = 'yes'");
        $mobileNo =array();
        foreach ($users as $key => $value) {
            $mobileNo[$key]=$value->phone;
        }        
        $this->sendSms($mobileNo);
    }

    public function sendReminderNight(Request $req){
        
        $cronkey = $req->cronkey;
        $env_cron_key = env("CRON_KEY", "");
        if($cronkey != $env_cron_key){
            return response()->json(['error' => 'Request unauthorized'], 401);
        }
        
        $date=date("Y-m-d");
        $users = DB::select();
        $mobileNo =array("SELECT `phone` FROM `patients` WHERE `subscribed`=1 AND `start_date`<=CURRENT_DATE() AND `end_date`>= CURRENT_DATE() AND `night` = 'yes'");
        foreach ($users as $key => $value) {
            $mobileNo[$key]=$value->phone;
        }
        $this->sendSms($mobileNo);
    }

    public function sendReminderMorning(Request $req){
        
        $cronkey = $req->cronkey;
        $env_cron_key = env("CRON_KEY", "");
        if($cronkey != $env_cron_key){
            return response()->json(['error' => 'Request unauthorized'], 401);
        }
        
        $date=date("Y-m-d");
        $users = DB::select("SELECT `phone` FROM `patients` WHERE `subscribed`=1 AND `start_date`<=CURRENT_DATE() AND `end_date`>= CURRENT_DATE() AND `morning` = 'yes'");
        $mobileNo =array();
        foreach ($users as $key => $value) {
            $mobileNo[$key]=$value->phone;
        }
        $this->sendSms($mobileNo);
        
    }
}
