<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\patient;
use Carbon\Carbon;

class AfternoonCron extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'afternoon:cron';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Afternoon Message Remainder';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {

        $reminder = new patient();
        $reminder->sendReminderAfternoon();
        $this->info('Success! Check your messages.');
    }
}
