<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;
Use DB;

// Removed Eloquent queries and added stored procedures at DB | MRUNAL PODJALE
class patient extends Model
{
    //
    protected $guarded = [];
    protected $table = 'patients';

    public function sendSms($mobileNo){
        $authKey = "78106A3YHUDLNB160e57987P1";
        $generator = "1357902468";
        $senderId="MEDOSE";
        $DLT_TE_ID ="1207162824213964069";
        $route = 4;
        $result = ""; 
        $message = urlencode("Hi, It's time for you to take your medicine.\n\nThanks\nDose Reminder");
        if(sizeof($mobileNo) > 0)
        {
            $newMobileNo=implode(",",$mobileNo);
            $postData = array(
                'authkey' => $authKey,
                'mobiles' =>$newMobileNo,
                'message' => $message,
                'sender' => $senderId,
                'DLT_TE_ID'=>$DLT_TE_ID,
                'route' => $route
            );

            $url="http://api.msg91.com/api/sendhttp.php";

            $ch = curl_init();
            curl_setopt_array($ch, array(
                CURLOPT_URL => $url,
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_POST => true,
                CURLOPT_POSTFIELDS => $postData
            ));

        $response = curl_exec($ch);
        echo($response);die();
        $err = curl_error($ch);
            curl_close($ch);
            if ($err) {
                return "cURL Error #:" . $err;
                
            } else {
                // smslog::where('created_at', '<', Carbon::now()->subDays(15))->delete();
                foreach($mobileNo as $mobile){
                    //DB::select('CALL smsLog("'. $mobile .'","'. 1 .'","'.Carbon::now()->toDateTimeString().'","'.Carbon::now()->toDateTimeString().'")');
                
                    DB::table('smslogs')->insert(['phone' => $mobile, 'isconfirmed' => 1, 'created_at' => Carbon::now()->toDateTimeString(), 'updated_at' => Carbon::now()->toDateTimeString()]);
                }
            }
        }
    }
    public function sendReminderAfternoon(){
        $date=date("Y-m-d");
        // $users = DB::select('CALL selectPhone("'.Carbon::now()->toDateTimeString().'");');
        $users = DB::table('patients')->select('phone')->where('subscribed', 1)->where('morning', 'yes')->get();
        $mobileNo =array();
        foreach ($users as $key => $value) {
            $mobileNo[$key]=$value->phone;
        }        
        $this->sendSms($mobileNo);
        
    }
    public function sendReminderNight(){
        $date=date("Y-m-d");
        $users = DB::select('CALL selectPhone("'.Carbon::now()->toDateTimeString().'");');
        $mobileNo =array();
        foreach ($users as $key => $value) {
            $mobileNo[$key]=$value->phone;
        }
        $this->sendSms($mobileNo);
    }
    public function sendReminderMorning(){
        
        $date=date("Y-m-d");
        $users = DB::select('CALL selectPhone("'.Carbon::now()->toDateTimeString().'");');
        
        $mobileNo =array();
        foreach ($users as $key => $value) {
            $mobileNo[$key]=$value->phone;
        }
        $this->sendSms($mobileNo);
        
    }
}
