<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UsersController;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware('checkDoubleSlash')->group(function () {
    Route::get('/', function () {
        return view('welcome');
    })->name('userpage');
    Route::post('submit',[UsersController::class,'saveUser']);
    Route::post('delete',[UsersController::class,'delete']);
    Route::post('unsubscribeUser',[UsersController::class,'unsubscribeUser']);
    
    Route::get('sendReminderMorning', 'CronController@sendReminderMorning');
    Route::get('sendReminderAfternoon', 'CronController@sendReminderAfternoon');
    Route::get('sendReminderNight', 'CronController@sendReminderNight');
});

// Route::get('/', function () {
//     return view('welcome');
// })->name('userpage');
// Route::post('submit',[UsersController::class,'saveUser']);
// Route::post('delete',[UsersController::class,'delete']);
// Route::post('unsubscribeUser',[UsersController::class,'unsubscribeUser']);

// Route::get('sendReminderMorning', 'CronController@sendReminderMorning');
// Route::get('sendReminderAfternoon', 'CronController@sendReminderAfternoon');
// Route::get('sendReminderNight', 'CronController@sendReminderNight');
